<?php

namespace domain\User\UserProducer;

use domain\_\AbstractSolver;

class UserProducerSolver extends AbstractSolver
{
    public function hasOutstandingCredit(UserProducer $userProducer): bool
    {
        return $userProducer->credit < 0 || $userProducer->credit > 0;
    }
}
